Skip to main content
GET
/
api
/
publicapi
/
v1
/
transactions
/
completed
Returns completed transactions with specified parameters
curl --request GET \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/completed \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "status": "<string>",
      "pageCount": 123,
      "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createTimeUtc": "2023-11-07T05:31:56Z",
      "transactionParameters": [
        {
          "isReadOnly": true,
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "fileParameters": [
        {
          "isReadOnly": true,
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "skillId": "<string>",
      "skillVersion": 123,
      "documentCount": 123
    }
  ],
  "totalItemCount": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

TransactionStatus
string

Active Transactions status

SkillId
string

Available skill's ID (according to permissions). If this field is empty, then all the available skills will be used as filter.

SkillVersion
string

Only available skills can be filtered by their versions

StartDate
string<date-time>

Minimum creation time of the transactions. Time must be defined in UTC format.

EndDate
string

Maximum creation time of the transactions. Time must be defined in UTC format. If not given, the current UTC time will be used.

TransactionParameters
object[]

List of transaction parameters. Retrieved transactions should contain all the parameters

DocumentParameters
object[]

List of document parameters. Retrieved transactions should contain all the parameters

Offset
integer<int32>

Pagination offset (default: 0)

Limit
integer<int32>

Pagination limit

Response

Transactions with registration parameters of the transactions and their documents

It's used only for Swagger

items
object[] | null
totalItemCount
integer<int32>